#page-landing {
  background: linear-gradient(329.54deg, #29b6d1 0%, #00c7c7 100%) no-repeat;
  min-height: 100vh;
  text-align: center;
  display: flex;
}

#container {
  margin: auto;
  width: min(90%, 112rem);
}

.location,
h1,
.visit p {
  height: 16vh;
}

#logo {
  animation-delay: 80ms;
}

.locattion {
  animation-delay: 160ms;
}

main h1 {
  animation-delay: 240ms;
  font-size: clamp(4rem, 8vw, 8.4rem);
}

.visit p {
  animation-delay: 320ms;
}

.visit a {
  width: 8rem;
  height: 8rem;
  background: #ffd666;

  border: none;
  border-radius: 3rem;

  display: flex;
  align-items: center;
  justify-content: center;

  margin: auto;

  transition: background 0.3s;

  animation-delay: 400ms;
}

.visit a:hover {
  background: #96feff;
}

/* desktop version */
@media (min-width: 768px) {
  #container {
    padding: 5rem 2rem;
    background: url("../images/bg.svg") no-repeat 80% /
      clamp(30rem, 54vw, 56rem);
  }

  header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: initial;
  }

  .location,
  h1,
  .visit p {
    height: initial;
  }

  .location {
    font-size: 2.4rem;
    text-align: right;
    line-height: 1.5;
  }

  main h1 {
    width: min(300px, 80%);
    text-align: left;
    line-height: 0.88;

    margin: clamp(10%, 9vh, 12%) 0 4rem;
  }

  .visit {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: left;
  }

  .visit p {
    line-height: 1.5;
    width: clamp(20rem, 20vw, 30rem);
  }

  .visit a {
    margin: initial;
  }
}
